# context processors for loco-directory
# see: http://docs.djangoproject.com/en/dev/ref/settings/#setting-TEMPLATE_CONTEXT_PROCESSORS
# to use this processor, add "common.context_processors.loco_version" to your variable TEMPLATE_CONTEXT_PROCESSORS in your settings file

from django.conf import settings

def loco_version(request):
    """
    add the loco version to template context processor. 
    """
    try:
        version = settings.VERSION_STRING
    except AttributeError:
        version = "unknown"

    return {'loco_version': version}

